Page MenuHomePhabricator

Remove 'web' icon from 'editing-citation' as it's covered by 'browser'
Closed, ResolvedPublic

Description

The 'web' icon ('ref-cite-web' from Cite extension) is not distinct or clear enough to be kept in the OOUI icon repo. We should remove it and reuse 'browser' from 'interactions' pack instead

BeforeWithout adapting webWith using 'browser'

Event Timeline

Volker_E created this task.Jan 16 2019, 1:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 1:19 AM
Volker_E triaged this task as Low priority.Jan 16 2019, 2:19 AM

Change 484369 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Deprecate 'web' from 'editing-citation'

https://gerrit.wikimedia.org/r/484369

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jan 16 2019, 2:21 AM

@Jdforrester-WMF The other possibility were to use same repo icon under other pack as well…

Volker_E updated the task description. (Show Details)Jan 16 2019, 10:17 PM

I like the idea.

What I, personally, see when I look at the current "web" icon is a computer. What I see when I look at the "browser" icon is an application window. Both are not strictly limited to the act of "surfing the world wide web". But it seems there is no better, universal metaphor, other than using the abbreviation "WWW" directly. If I would need to pick one of the two existing metaphors, I would go with the more simple, more clean application window.

I would love to have icons for "desktop", "mobile", as well as "tablet" in the OOUI library. Maybe we can reuse the current web icon for this?

What is the distinction between the new 'browser' icon and 'window'?

@Esanders Browser isn't new, it has been part since a long time, see v0.17.0 demos. T141801 doesn't show any current usage of 'browser', neither does https://codesearch.wmflabs.org/search/?q=%27browser%27&i=nope&files=&repos=
Do you see 'window' as better fit?

I don't think either is particularly representative of a website, but given we have a text label here as well it probably doesn't matter.

Let's go with browser for now and resolve this duplication later.

Change 484369 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Deprecate 'web' from 'editing-citation'

https://gerrit.wikimedia.org/r/484369

Volker_E moved this task from Reviewing to Waiting for breaking release on the OOUI board.
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)Feb 27 2019, 12:04 AM

Change 494883 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.30.4

https://gerrit.wikimedia.org/r/494883

Change 494883 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.30.4

https://gerrit.wikimedia.org/r/494883

Volker_E updated the task description. (Show Details)Mar 13 2019, 11:44 PM

Change 512982 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'web', deprecated in v0.30.4

https://gerrit.wikimedia.org/r/512982

Volker_E edited projects, added OOUI (OOUI-0.32.0); removed OOUI.

Change 512982 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'web', deprecated in v0.30.4

https://gerrit.wikimedia.org/r/512982

Volker_E closed this task as Resolved.May 28 2019, 9:43 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.

Change 513020 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020

Change 513020 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020